> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lip-sync info

> Get lip-sync info.



## OpenAPI

````yaml get /v2/projects/{project_id}/lipsync
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/projects/{project_id}/lipsync:
    get:
      tags:
        - projects
      summary: Get Lip-sync info
      description: Get lip-sync info.
      operationId: get_lipsync_info_v2_projects__project_id__lipsync_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project ID
            description: Project ID
      responses:
        '200':
          description: Lip-sync info.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LipsyncInfo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LipsyncInfo:
      properties:
        check_face_task_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Check face task status
          description: Check face task status
          enum:
            - started
            - done
            - failed
        tasks_in_lipsync_queue:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tasks in lip-sync queue
          description: Number of tasks in the lip-sync queue before your project
        lipsync_result_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Lipsync result link
          description: Link to the lip-synced video result
        lipsync_task_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Lipsync task status
          description: Lipsync task status
          enum:
            - started
            - done
            - failed
        video_has_face:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is video has face
          description: If video has face
        lipsync_task_progress:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lip-sync task progress
          description: Lip-sync task progress
      type: object
      title: LipsyncInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````